# Semaine 2: Introduction à l'intelligence artificielle

## Première lecture

Extraits du livre Introduction to artificial intelligence de Philip C. Jackson, Jr.

Ce livre a été publié initialement en 1974 et réédité en 1985. C'est la copie que je possède.

Un résumé des différentes sections:

### Introduction
1. L'intelligence, c'est *agir correctement* dans une situation donnée. La recherche se concentre sur le *succès partiel* pour éventuellement éliminer le maximum d'erreurs.
1. Tests d'intelligence: capacité de résolution de problèmes
1. Différents types d'appretissage: scientifique (intellectuel), subconscient, émotionnel, inspirationnel (surnaturel)
1. Aptitudes: domaines des problèmes à résoudre
1. Neurones, mémoire à court terme et long terme. Fonctionnement toujours inconnu.
1. Pas besoin de machines différentes pour différents problèmes:
1. Architecture générale:
    - Entrée
    - Contrôle
    - Logique
    - Stockage
    - Sortie

### Mathématiques

1. Concept de phénomène ou de processus, occurence:
    - Discret
    - Non-discret
    - Continu
1.  automate avec un nombre fini d'états
    - fonction de transition
    - récursivité
1. On ne sait pas si l'intelligence artificielle générale est atteignable avec des ordinateurs

### Résolution de problèmes

Différentes approches de résolution de problèmes:

1. Approches générales
    - Langages symboliques (LISP)
    - Plusieurs milliers d'articles, conscient que c'est embryonnaire
1. Environnements
    - Machines capables d'exister d'elles-mêmes dans un environnement du monde réel
1. Aptitudes
    - Structures pour la conception d'aptitudes mécaniques
1. Intelligence artificielle générale: machine ou procédure qui a des aptitudes pour résoudre différents types de problèmes, jouer différents jeux, prouver différents théorèmes, reconnaissance de motifs et compréhension de langages.
    - Approche évolutionnaire
    - Approche par raisonnement
1. Le concept de problème:
    - Espace de situations (pleinement spécifié ou partiellement)
        - Notion d'objectif ou de solution
        - Plan, stratégie et pas nécessairement un résultat déterminé
    - Inférence

Types de problèmes:

1. Problèmes avec espace-état
    - Recherche heuristique
    - Réduction du problème
1. Problèmes de planification et raisonnement

### Jouer à des jeux

1. Stratégies, très grands espaces-états
1. Échecs, Dames, Go, Bridge, Poker, ... 
1. Programmes généraux: différentes classes de jeux

### Perception de motifs

1. Définitions:
    - Classification
    - Association
    - Apprentissage
2. Reconnaissance de formes, structures syntaxiques
3. Vision par ordinateur. détection de contours, détection d'objets
    - Arche de Winston
    - Graphe de description

### Preuve de théorèmes

1. Calcul des prédicats de premier ordre
2. Types:
    - Basé sur la résolution
    - Basé sur la recherche heuristique
3. Raisonnement par analogie
4. Résolution de problèmes: décrire le problème sous forme de calcul des prédicats
5. Écriture de programmes

### Traitement d'information sémantique

1. Grammaire systémique
2. Grammaire transformationnelle

### Traitement en parallèle et systèmes évolutionnaires
